## wsl-setup 0.2

=== Makefile ===
# GNU Standard says we should not assign DESTDIR, but this minor adjustment is really handy when debugging.
DESTDIR:=$(if $(DESTDIR), $(shell realpath $(DESTDIR)),)
export INSTALL=install

# Standard GNU Makefile definitions:
export prefix = /usr
export exec_prefix = $(prefix)
export libexecdir = $(exec_prefix)/libexec


.PHONY: install clean

nslogin:
	$(MAKE) -C ./systemd/nslogin/


install:
	mkdir -p $(DESTDIR)$(libexecdir)
	$(MAKE) -C ./systemd/nslogin/ install
	$(INSTALL) -o root -m 755 ./wsl-setup $(DESTDIR)$(libexecdir)
	$(INSTALL) -o root -m 755 ./systemd/wsl-systemd $(DESTDIR)$(libexecdir)


clean:
	$(MAKE) -C ./systemd/nslogin/ clean
	rm -f $(DESTDIR)$(libexecdir)/wsl-setup
	rm -f $(DESTDIR)$(libexecdir)/wsl-systemd

=== systemd/nslogin/Makefile ===
SRC=nslogin.c
LIBS=-lsystemd
CFLAGS=-Wall -Wextra -Wconversion -pedantic -g
POSTBUILD=chown root:root $< && chmod ug+s $<
LINTER=clang-tidy-12


Release: CMODEFLAGS=-O2 -DNDEBUG
Release: nslogin


Debug: CMODEFLAGS=-O0 -DDEBUG
Debug: nslogin
	$(POSTBUILD)


nslogin: $(SRC)
	$(CC) $(CFLAGS) $(CMODEFLAGS) $(SRC) $(LIBS) -o $@


.PHONY: lint install clean


lint:
	$(LINTER) $(SRC) -- $(CFLAGS) $(LIBS)


install: Release
	mkdir -p $(DESTDIR)$(libexecdir)
	$(INSTALL) -o root -m 6755 ./nslogin $(DESTDIR)$(libexecdir)


clean:
	rm -f ./nslogin
	rm -f $(DESTDIR)$(libexecdir)/nslogin

## wsl-setup 0.1

=== debian/changelog ===
wsl-setup (0.1) jammy; urgency=medium

  * Initial Release

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 15 Sep 2021 10:30:27 +0200

=== debian/control ===
Source: wsl-setup
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.6.0
Homepage: https://github.com/ubuntu/wsl-setup
Description: WSL setup snap launcher
 This package helps setting up a mock snap environment on WSL to start
 the ubuntu-desktop-installer in system_setup mode.
 It will be deprecated once snap is supported on WSL.

Package: wsl-setup
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

## wsl-setup 0.2

=== debian/changelog ===
wsl-setup (0.2) jammy; urgency=medium

  * Systemd experimental support (LP: #1962556)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 17 Mar 2022 16:08:44 +0100

wsl-setup (0.1.2) jammy; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche-Tolomelli ]
  * Prevent mounting multiple times the content theme snap
  * Do not rely on local variable for wsl snap reference

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 03 Nov 2021 14:59:02 +0100

wsl-setup (0.1.1) jammy; urgency=medium

  * Fix libexec path
  * Fix snap mount detection

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 28 Oct 2021 09:41:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
+               libsystemd-dev,
 Standards-Version: 4.6.0
 Homepage: https://github.com/ubuntu/wsl-setup
 Description: WSL setup snap launcher
@@ -11,7 +12,7 @@
  It will be deprecated once snap is supported on WSL.
 
 Package: wsl-setup
-Architecture: all
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Description: ${source:Synopsis}

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

NSLOGINPATH = debian/wsl-setup/usr/libexec/nslogin

%:
	dh $@

# nslogin needs to be setuid.
override_dh_fixperms:
	ls $(NSLOGINPATH)
	dh_fixperms --exclude $(NSLOGINPATH)

## wsl-setup 0.3

=== debian/changelog ===
wsl-setup (0.3) kinetic; urgency=medium

  * Enables launching subiquity snap (LP: #1990426)

 -- Carlos Nihelton <carlosnsoliveira@gmail.com>  Wed, 21 Sep 2022 12:31:06 -0300

## wsl-setup 0.4

=== debian/changelog ===
wsl-setup (0.4) lunar; urgency=medium

  [ Didier Roche ]
  * Release from the main branch

  [ Carlos Nihelton ]
  * Allows for core 22 and later
  * Updates error message
  * Updates the exported SNAP_CORE_DIR

 -- Carlos Nihelton <carlosnsoliveira@gmail.com>  Tue, 21 Mar 2023 09:54:53 -0300

## wsl-setup 0.5.2build1

=== debian/changelog ===
wsl-setup (0.5.2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:25:58 +0000

wsl-setup (0.5.2) noble; urgency=medium

  * Ship cloud-init configuration file to enable WSL datasource

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 28 Feb 2024 11:43:43 +0100

wsl-setup (0.5.1) noble; urgency=medium

  * Remove wsl.conf from etc/. We will build it in the chroot directly now
    as the file may be altered by the user to add additional options and ship
    it as part of the rootfs. No need for conffiles handling as we didn’t ship
    any WSL build with it.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 07 Feb 2024 11:24:57 +0100

wsl-setup (0.5) noble; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche-Tolomelli ]
  * Remove old systemd start sequence: this is now integrated into WSL itself.
  * Remove old OOBE snap integration as it’s phased out.
  * Add the systemd specific unit overrides for WSL as we remove them from the
    launcher.

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Mon, 05 Feb 2024 11:52:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
                libsystemd-dev,
 Standards-Version: 4.6.0
 Homepage: https://github.com/ubuntu/wsl-setup
-Description: WSL setup snap launcher
- This package helps setting up a mock snap environment on WSL to start
- the ubuntu-desktop-installer in system_setup mode.
- It will be deprecated once snap is supported on WSL.
+Description: WSL integration setup
+ This package helps setting up a working WSL environment with systemd
+ enabled by default.
 
 Package: wsl-setup
 Architecture: any

## wsl-setup 0.5.3~24.04

=== debian/changelog ===
wsl-setup (0.5.3~24.04) noble; urgency=medium

  * Override cloud-init default_user configuration for Ubuntu distros
    to prevent creation of a default user which confused WSLg (LP: #2065349).

 -- Carlos Nihelton <carlos.santanadeoliveira@canonical.com>  Thu, 02 May 2024 11:52:43 -0300

## wsl-setup 0.5.3

=== debian/changelog ===
wsl-setup (0.5.3) oracular; urgency=medium

  * Override cloud-init default_user configuration for Ubuntu distros
    to prevent creation of a default user which confused WSLg (LP: #2065349).

 -- Carlos Nihelton <carlos.santanadeoliveira@canonical.com>  Thu, 02 May 2024 11:52:43 -0300

## wsl-setup 0.5.4~22.04

=== debian/changelog ===
wsl-setup (0.5.4~22.04) jammy; urgency=medium

  * Backport cloud-init, MotD and systemd integration as in 24.04, while
    removing deprecated installer support (LP: #2080223)
  * fix(cloud-init): DS List should contain one additional datasource in
    order to skip running cloud-init when there is no user-data file.
  * Deliver warnings via MotD if cloud-init doesn't succeed.

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Tue, 10 Sep 2024 12:50:13 +0200

## wsl-setup 0.5.4~24.04

=== debian/changelog ===
wsl-setup (0.5.4~24.04) noble; urgency=medium

  * fix(cloud-init): DS List should contain one additional datasource in
    order to skip running cloud-init when there is no user-data file.
  * Deliver warnings via MotD if cloud-init doesn't succeed. (LP: #2080223)

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Tue, 10 Sep 2024 12:50:13 +0200

## wsl-setup 0.5.4

=== debian/changelog ===
wsl-setup (0.5.4) oracular; urgency=medium

  * fix(cloud-init): DS List should contain one additional datasource in
    order to skip running cloud-init when there is no user-data file.
  * Deliver warnings via MotD if cloud-init doesn't succeed. (LP: #2080223)

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Tue, 10 Sep 2024 12:50:13 +0200

## wsl-setup 0.5.5

=== debian/changelog ===
wsl-setup (0.5.5) plucky; urgency=medium

  [ Carlos Nihelton ]
  [ Didier Roche-Tolomelli ]
  * Adapt to new Microsoft package format: (LP: #2091293):
    - Ship a script that:
      1. Copy the font to user’s directory.
      2. Wait for cloud-init.
      3. Request to create an user if not created yet and set it as default.
    - Ship static assets like terminal profile and ubuntu icon in .ico format.

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Thu, 05 Dec 2024 15:28:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               libsystemd-dev,
 Standards-Version: 4.6.0
 Homepage: https://github.com/ubuntu/wsl-setup
 Description: WSL integration setup
@@ -12,7 +11,11 @@
 
 Package: wsl-setup
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: adduser,
+         fonts-ubuntu,
+         gawk,
+         passwd,
+         ${shlibs:Depends},
          ${misc:Depends},
 Description: ${source:Synopsis}
  ${source:Extended-Description}

## wsl-setup 0.5.6

=== debian/changelog ===
wsl-setup (0.5.6) plucky; urgency=medium

  [ Carlos Nihelton ]
  [ Didier Roche-Tolomelli ]
  * Add dependency on cloud-init.

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Tue, 10 Dec 2024 14:03:34 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Package: wsl-setup
 Architecture: any
 Depends: adduser,
+         cloud-init,
          fonts-ubuntu,
          gawk,
          passwd,

## wsl-setup 0.5.7

=== debian/changelog ===
wsl-setup (0.5.7) plucky; urgency=medium

  [ Carlos Nihelton ]
  [ Didier Roche-Tolomelli ]
  * Work with systemd disabled rootfs, not shipping cloud-init and WSL 1
  * Add dependency on systemd
  * Register the font windows key to ensure the ubuntu font is exposed on
    Windows.

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Wed, 11 Dec 2024 15:35:22 +0100

## wsl-setup 0.5.8~20.04

=== debian/changelog ===
wsl-setup (0.5.8~20.04) focal; urgency=medium

  [ Carlos Nihelton ]
  * Backport v0.5.8 to Focal to adapt to new Microsoft package format: (LP: #2115426):
      * Releasing this package to Focal for the first time.
        - Ship a script that:
          1. Copies and registers the Ubuntu font to user's directory.
          2. Wait for cloud-init if allowed by systemd and WSL.
          3. Request to create an user if not created yet and set it as default.
        - Ship static assets like terminal profile and ubuntu icon in .ico format.
      * Updates debian/control dependencies
      * Ship wsl-setup under /usr/lib/wsl/ instead of libexec:
        This is fixing Microsoft's checker warning.

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Thu, 26 Jun 2025 14:07:44 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
 Standards-Version: 4.6.0
 Homepage: https://github.com/ubuntu/wsl-setup
 Description: WSL integration setup
@@ -16,6 +16,7 @@
          fonts-ubuntu,
          gawk,
          passwd,
+         systemd,
          ${shlibs:Depends},
          ${misc:Depends},
 Description: ${source:Synopsis}

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

## wsl-setup 0.5.8~22.04.1

=== debian/changelog ===
wsl-setup (0.5.8~22.04.1) jammy; urgency=medium

  [ Carlos Nihelton ]
  [ Didier Roche-Tolomelli ]
  * Backport v0.5.8 to Jammy for behavioural parity with Noble (LP: #2091293):
      * Adapt to new Microsoft package format: (LP: #2091293):
        - Ship a script that:
          1. Copies and registers the Ubuntu font to user's directory.
          2. Wait for cloud-init if allowed by systemd and WSL.
          3. Request to create an user if not created yet and set it as default.
        - Ship static assets like terminal profile and ubuntu icon in .ico format.
      * Updates debian/control dependencies
      * Ship wsl-setup under /usr/lib/wsl/ instead of libexec:
        This is fixing Microsoft's checker warning.

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Mon, 23 Jun 2025 16:07:44 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 Standards-Version: 4.6.0
 Homepage: https://github.com/ubuntu/wsl-setup
 Description: WSL integration setup

## wsl-setup 0.5.8~24.04

=== debian/changelog ===
wsl-setup (0.5.8~24.04) noble; urgency=medium

  * Ship wsl-setup under /usr/lib/wsl/ instead of libexec:
    This is fixing Microsoft's checker warning.

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Tue, 21 Jan 2025 15:58:21 +0100

## wsl-setup 0.5.8

=== debian/changelog ===
wsl-setup (0.5.8) plucky; urgency=medium

  * Ship wsl-setup under /usr/lib/wsl/ instead of libexec:
    This is fixing Microsoft's checker warning.

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Tue, 21 Jan 2025 15:58:21 +0100

## wsl-setup 0.5.9

=== debian/changelog ===
wsl-setup (0.5.9) plucky; urgency=medium

  * Fix dependency on cloud-init.service: (LP: #2104307)
    - The wsl-setup script was supposed to sync with cloud-init
    - It checked if the cloud-init.service was enabled.
    - That unit no longer exists on Plucky.
    - It now checks for cloud-init-local.service, which exists
      on plucky and prior releases as well.

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Thu, 27 Mar 2025 10:22:28 -0300

## wsl-setup 0.5.10~24.04

=== debian/changelog ===
wsl-setup (0.5.10~24.04) noble; urgency=medium

  * Fix Ubuntu on WSL install fails on non-ASCII usernames (LP: #2118617)
  * Remove systemd-binfmt.service overrides
  * Wait for cloud-init in a separate script for consistency with other
    Ubuntu releases (no changes in practical behaviour).

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Tue, 29 Jul 2025 10:37:49 -0300

## wsl-setup 0.5.10~24.04.1

=== debian/changelog ===
wsl-setup (0.5.10~24.04.1) noble; urgency=medium

  * Case-fold Windows username before sanitization (LP: #2138661)

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Mon, 19 Jan 2026 15:19:51 -0300

## wsl-setup 0.5.10~25.04

=== debian/changelog ===
wsl-setup (0.5.10~25.04) plucky; urgency=medium

  * Fix Ubuntu on WSL install fails on non-ASCII usernames (LP: #2118617)
  * Remove systemd-binfmt.service overrides

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Thu, 24 Jul 2025 18:14:54 -0300

## wsl-setup 0.5.10

=== debian/changelog ===
wsl-setup (0.5.10) questing; urgency=medium

  * Fix Ubuntu on WSL install fails on non-ASCII usernames (LP: #2118617)
  * Remove systemd-binfmt.service overrides

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Thu, 24 Jul 2025 18:14:54 -0300

## wsl-setup 0.5.10ubuntu0.1

=== debian/changelog ===
wsl-setup (0.5.10ubuntu0.1) questing; urgency=medium

  * Case-fold the Windows user name before saninitization (LP: #2138661)

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Mon, 19 Jan 2026 15:23:25 -0300

## wsl-setup 0.6.1

=== debian/changelog ===
wsl-setup (0.6.1) resolute; urgency=medium

  [ Kat Kuo]
  * Added ubuntu-insights integration
  * Added integration tests in upstream CI

  [Carlos Nihelton]
  * Case-fold the Windows username before sanitization (LP: #2122047)
  * Remove the systemd-timesyncd.service override that would enable it in WSL

 -- Kat Kuo <kat.kuo@canonical.com>  Tue, 25 Nov 2025 19:56:56 -0500

=== debian/control ===
--- 
+++ 
@@ -19,5 +19,6 @@
          systemd,
          ${shlibs:Depends},
          ${misc:Depends},
+Recommends: ubuntu-insights,
 Description: ${source:Synopsis}
  ${source:Extended-Description}
